Name:          aelfred
Version:       1.2
Release:       %mkrel 3
Summary:       Java-based XML parser
Group:         Development/Java
License:       BSD
Url:           http://www.jpackage.org/
Source0:       http://card4u.fhnon.de/XMLKlassen/microstar-Parser/aelfred.zip
Patch0:        aelfred-icedtea-build.patch
BuildRequires: ant
BuildRequires: java-devel
BuildRequires: jpackage-utils
Requires:      jpackage-utils
BuildArch:     noarch

%description
AElfred is a Java-based XML parser from Microstar Software Ltd. AElfred
is distributed for free (with full source) for both commercial and
non-commercial use.

%package javadoc
Group:          Development/Java
Summary:        Javadoc for %{name}

%description javadoc
AElfred is a Java-based XML parser from Microstar Software Ltd.

This package contains javadoc for %{name}.

%package demo
Group:         Development/Java
Summary:       Demonstrations and samples for %{name}
Requires:      %{name} = %{version}-%{release}

%description demo
AElfred is a Java-based XML parser from Microstar Software Ltd.

This package contains demonstrations and samples for %{name}.

%prep
%setup -q -c

for j in $(find . -name "*.jar"); do
   mv $j $j.no
done
for j in $(find . -name "*.class"); do
   rm -f $j
done
%patch0 -b .sav
rm -rf HTML/*

%build

mkdir classes
%javac -d classes -source 1.4 `find src -name \*.java`
pushd classes
  %jar cf ../aelfred.jar com
popd
%javadoc -source 1.4 -d HTML `find src -name \*.java`

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
install -m 644 aelfred.jar \
  %{buildroot}%{_javadir}/aelfred-%{version}.jar

(
  cd %{buildroot}%{_javadir}
  for jar in *-%{version}.jar; do
    ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`
  done
)

mkdir -p %{buildroot}%{_javadocdir}/aelfred-%{version}
cp -pr HTML/* %{buildroot}%{_javadocdir}/aelfred-%{version}
ln -sf aelfred-%{version} %{buildroot}%{_javadocdir}/aelfred

mkdir -p %{buildroot}%{_datadir}/aelfred/Demo
cp -a classes/*.class %{buildroot}%{_datadir}/aelfred/Demo

%files
%{_javadir}/aelfred-%{version}.jar
%{_javadir}/aelfred.jar
%doc README.txt FILES

%files javadoc
%{_javadocdir}/aelfred-%{version}
%{_javadocdir}/aelfred

%files demo
%{_datadir}/aelfred



%changelog

* Fri Jan 11 2013 umeabot <umeabot> 1.2-3.mga3
+ Revision: 345298
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Oct 28 2012 dmorgan <dmorgan> 1.2-2.mga3
+ Revision: 311172
- Java Stack Mass Rebuild

* Tue Sep 06 2011 dmorgan <dmorgan> 1.2-1.mga2
+ Revision: 138979
- Adapt to mageia guidelines

  + gil <gil>
    - imported package aelfred

